Get devices

This endpoint allows you to get a list of the available Point devices associated with your Mercado Pago account. Devices can be filtered by point of sale and/or store. In case of success, the request will return a response with status 200.

GET

https://api.mercadopago.com/point/integration-api/devices
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Query
store_id
string
It's the store identifier, that you should send only if you want to filter the available devices by store.
pos_id
integer
It's the device Point of Sale identifier, that you should send only if you want to filter the available devices by Point of Sale.
limit
integer
Pagination limit. This parameter specifies the maximum number of records you want to get in the response. It must be a numeric value, greater than or equal to 1 and less than or equal to 50. The default value is 50.
offset
integer
Pagination offset. This parameter determines the starting point from which the records should be obtained. It must be a numerical value greater than or equal to zero (0). Its default value is zero (0).
Response parameters
devices
array
List of available devices.
paging
object
Errors

400Error. Query param incorrect format.

400

Bad Request. The query params sent were not in the correct format, or there was a mistake when sending the IDs. Please, check the validations and information and try again.

401Unauthorized - token is invalid

401

The value sent as Access Token is incorrect. Please check and try again with the correct value.

500Internal error

500

Internal error. Please try submitting the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/point/integration-api/devices?store_id=1235456678&pos_id=1235456678&limit=50'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-4*********994754-12*********c73b4e1ac*********cef36b27c*********840' \
    
Response
{
  "devices": [
    {
      "id": "PAX_A910__SMARTPOS1234345545",
      "pos_id": 47792476,
      "store_id": 47792478,
      "external_pos_id": "SUC0101POS",
      "operating_mode": "“PDV” | “STANDALONE”"
    }
  ],
  "paging": {
    "total": 1,
    "offset": 0,
    "limit": 50
  }
}